Subject: RE: More AODV draft issues - broadcast issue

From: Erik Nordström <[email-masked]>
Date: 02 Nov 2001 14:10:57 +0100

On Thu, 2001-11-01 at 19:18, Ian Chakeres wrote:
> Regarding broadcast.  The broadcast address 255.255.255.255 is a local
> broadcast that cannot be forwarded.  Since nodes may have any ip
> addresses (i.e. not all in the same subnet) there is no other address
> that would be processed by all nodes.  
> If broadcast should not be used, what would you suggest?
> I agree Linux will only issue broadcasts on one of the interfaces at a
> time, but this is an implementation/configuration issue not a problem
> with the protocol.
> 
I don't agree entirely on that it is an implementation issue. The
specification of the protocol make an assumption about functionality
which is not valid on all platforms. I don't know how to alter the
implementation or my configuration to make it work according to the
draft. If you do, can you please explain how I should do that?

regards,

Erik Nordström

> Ian Chakeres
> 
> 
> 
> > -----Original Message-----
> > From: [email-masked]
> [mailto:[email-masked]]
> > On Behalf Of Erik Nordström
> > Sent: Wednesday, October 31, 2001 3:00 PM
> > To: [email-masked]
> > Subject: More AODV draft issues
> > 
> > 
> > Hi.
> > 
> > I'm back again with more questions about the AODV draft.
> > 
> > Broadcast address
> > =================
> > Also, why is a broadcast address of 255.255.255.255 used with AODV?
> This
> > is generally just used for protocols such as bootp, because the proper
> > broadcast address is not known during boot. Is it used to be able to
> > reach hosts that don't share the same type of network address?
> > 
> > The problem with the 255.255.255.255 address is that depending on OS,
> it
> > may broadcast on all network interfaces or just the first one. On
> Linux
> > for example, it only broadcasts on the first interface. This prevents
> me
> > from running AODV on my computer at home, where my WaveLAN card is on
> > eth1. Even if it would broadcasts on all interfaces, I might not want
> > that, if my other interfaces are not connected to a "AODV network".
> > 
> > regards,
> > 
> > Erik Nordström
> > 
> > 
> 
>

---

From: Casey Carter <[email-masked]>
Date: Fri, 02 Nov 2001 12:05:40 -0600

Open a socket for each interface, use SO_BINDTODEVICE. Send to 
255.255.255.255. Simple enough?

When you have a device with multiple interfaces, which you are going to 
manage independently, there must be some way to address those individual 
interfaces.  In Linux, that means you can SO_BINDTODEVICE with 
255.255.255.255, or use an IP multicast address and join the multicast 
group on each interface.  Both methods work equally well, although the 
multicast technique is a bit more standard and may work for other Unices 
as well.

-- 
Casey Carter
[email-masked]
[email-masked]
AIM: cartec69